ne_set_request_flag
Prev | neon API reference | Next

## Name

ne_set_request_flag, ne_get_request_flag — set and retrieve per-request flags

## Synopsis

    #include <ne_request.h>

`void ne_set_request_flag(` | ne_request * | req,
| ne_request_flag | flag,
| int | value`)`;

`int ne_get_request_flag(` | ne_request * | req,
| ne_request_flag | flag`)`;

## Description

The `ne_set_request_flag` function enables or disables a per-request flag. Passing a non-zero `value` argument enables the flag, and zero disables it.

The following flags are defined:

`NE_REQFLAG_EXPECT100` | enables this flag to use the "Expect: 100-continue" feature of HTTP/1.1
`NE_REQFLAG_IDEMPOTENT` | disable this flag if the request uses a non-idempotent method such as `POST`

## Return value

The `ne_get_request_flag` function returns zero if a flag is disabled, less than zero if the flag is not supported, or greater than zero if the flag is enabled.

## See also

ne_request_create.

Prev | Up | Next
ne_set_useragent | Home | ne_set_request_body_buffer